com.lowagie.text.rtf.parser.destinations

## Class RtfDestinationShppict

- java.lang.Object
- - com.lowagie.text.rtf.parser.destinations.RtfDestination
  - - com.lowagie.text.rtf.parser.destinations.RtfDestinationShppict

-     public class RtfDestinationShppict
      extends RtfDestination

  `RtfDestinationShppict` handles data destined for picture destinations
  Since:
    2.0.8
  Author:
    Howard Shank (hgshank@yahoo.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bbp`
    `private long` | `binaryLength`
    `private boolean` | `bitmap`
    `private java.lang.Integer` | `bitsPerPixel`
    `private static int` | `BLIPUID`
    `private java.lang.StringBuffer` | `buffer`
    `private java.lang.Integer` | `cropBottom`
    `private java.lang.Integer` | `cropLeft`
    `private java.lang.Integer` | `cropRight`
    `private java.lang.Integer` | `cropTop`
    `private int` | `dataFormat`
    `private java.io.ByteArrayOutputStream` | `dataOS`
    `private java.lang.Long` | `desiredHeight`
    `private java.lang.Long` | `desiredWidth`
    `static int` | `FORMAT_BINARY`
    `static int` | `FORMAT_HEXADECIMAL`
    `private java.lang.Long` | `height`
    `private java.lang.StringBuffer` | `hexChars`
    `private java.lang.Boolean` | `inlinePicture`
    `private static int` | `NORMAL`
    `private int` | `pictureType`
    `private static int` | `PIXEL_TWIPS_FACTOR` Constant for converting pixels to twips
    `private java.lang.Integer` | `planes`
    `private int` | `pmmetafile`
    `private java.lang.Boolean` | `scaled`
    `private java.lang.Integer` | `scaleX`
    `private java.lang.Integer` | `scaleY`
    `private int` | `state`
    `private java.lang.String` | `tag`
    `private java.lang.Integer` | `unitsPerInch`
    `private java.lang.Long` | `width`
    `private java.lang.Integer` | `widthBytes`
    `private java.lang.Boolean` | `wordArt`

    - ### Fields inherited from class com.lowagie.text.rtf.parser.destinations.RtfDestination

      `lastCtrlWord, modified, rtfParser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtfDestinationShppict()`
    `RtfDestinationShppict(RtfParser parser)` Constructs a new RtfDestinationShppict.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private boolean` | `addImage()`
    `boolean` | `closeDestination()` Clean up when destination is closed.
    `boolean` | `handleCharacter(int ch)` Handle text for this destination
    `boolean` | `handleCloseGroup()` Clean up when group is closed.
    `boolean` | `handleControlWord(RtfCtrlWordData ctrlWordData)` Handle control word for this destination
    `boolean` | `handleOpenGroup()` Setup when group is opened.
    `boolean` | `handleOpeningSubGroup()` Handle a new subgroup contained within this group
    `void` | `setToDefaults()` Method to set this object to the default values.
    `private void` | `writeBuffer()`
    `private void` | `writeText(java.lang.String value)`

    - ### Methods inherited from class com.lowagie.text.rtf.parser.destinations.RtfDestination

      `addListener, afterCharacter, afterCtrlWord, beforeCharacter, beforeCtrlWord, getNewTokeniserState, isModified, onCharacter, onCloseGroup, onCtrlWord, onOpenGroup, removeListener, setParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hexChars

          private java.lang.StringBuffer hexChars

    - #### buffer

          private java.lang.StringBuffer buffer

    - #### pictureType

          private int pictureType

    - #### pmmetafile

          private int pmmetafile

    - #### bitsPerPixel

          private java.lang.Integer bitsPerPixel

    - #### planes

          private java.lang.Integer planes

    - #### widthBytes

          private java.lang.Integer widthBytes

    - #### width

          private java.lang.Long width

    - #### height

          private java.lang.Long height

    - #### desiredWidth

          private java.lang.Long desiredWidth

    - #### desiredHeight

          private java.lang.Long desiredHeight

    - #### scaleX

          private java.lang.Integer scaleX

    - #### scaleY

          private java.lang.Integer scaleY

    - #### scaled

          private java.lang.Boolean scaled

    - #### inlinePicture

          private java.lang.Boolean inlinePicture

    - #### wordArt

          private java.lang.Boolean wordArt

    - #### cropTop

          private java.lang.Integer cropTop

    - #### cropBottom

          private java.lang.Integer cropBottom

    - #### cropLeft

          private java.lang.Integer cropLeft

    - #### cropRight

          private java.lang.Integer cropRight

    - #### bitmap

          private boolean bitmap

    - #### bbp

          private int bbp

    - #### FORMAT_HEXADECIMAL

          public static final int FORMAT_HEXADECIMAL

      See Also:
        Constant Field Values

    - #### FORMAT_BINARY

          public static final int FORMAT_BINARY

      See Also:
        Constant Field Values

    - #### dataFormat

          private int dataFormat

    - #### binaryLength

          private long binaryLength

    - #### unitsPerInch

          private java.lang.Integer unitsPerInch

    - #### tag

          private java.lang.String tag

    - #### NORMAL

          private static final int NORMAL

      See Also:
        Constant Field Values

    - #### BLIPUID

          private static final int BLIPUID

      See Also:
        Constant Field Values

    - #### state

          private int state

    - #### PIXEL_TWIPS_FACTOR

          private static final int PIXEL_TWIPS_FACTOR

      Constant for converting pixels to twips
      See Also:
        Constant Field Values

    - #### dataOS

          private java.io.ByteArrayOutputStream dataOS

  - ### Constructor Detail

    - #### RtfDestinationShppict

          public RtfDestinationShppict()

    - #### RtfDestinationShppict

          public RtfDestinationShppict(RtfParser parser)

      Constructs a new RtfDestinationShppict.

  - ### Method Detail

    - #### closeDestination

          public boolean closeDestination()

      Description copied from class: `RtfDestination`
      Clean up when destination is closed.
      Specified by:
        `closeDestination` in class `RtfDestination`
      Returns:
        true if handled, false if not handled

    - #### handleCloseGroup

          public boolean handleCloseGroup()

      Description copied from class: `RtfDestination`
      Clean up when group is closed.
      Specified by:
        `handleCloseGroup` in class `RtfDestination`
      Returns:
        true if handled, false if not handled

    - #### addImage

          private boolean addImage()

    - #### handleOpenGroup

          public boolean handleOpenGroup()

      Description copied from class: `RtfDestination`
      Setup when group is opened.
      Specified by:
        `handleOpenGroup` in class `RtfDestination`
      Returns:
        true if handled, false if not handled

    - #### handleOpeningSubGroup

          public boolean handleOpeningSubGroup()

      Description copied from class: `RtfDestination`
      Handle a new subgroup contained within this group
      Specified by:
        `handleOpeningSubGroup` in class `RtfDestination`
      Returns:
        true if handled, false if not handled

    - #### handleCharacter

          public boolean handleCharacter(int ch)

      Description copied from class: `RtfDestination`
      Handle text for this destination
      Specified by:
        `handleCharacter` in class `RtfDestination`
      Returns:
        true if handled, false if not handled

    - #### handleControlWord

          public boolean handleControlWord(RtfCtrlWordData ctrlWordData)

      Description copied from class: `RtfDestination`
      Handle control word for this destination
      Specified by:
        `handleControlWord` in class `RtfDestination`
      Parameters:
        `ctrlWordData` - The control word and parameter information object
      Returns:
        true if handled, false if not handled

    - #### setToDefaults

          public void setToDefaults()

      Description copied from class: `RtfDestination`
      Method to set this object to the default values. Must be implemented in child class.
      Specified by:
        `setToDefaults` in class `RtfDestination`

    - #### writeBuffer

          private void writeBuffer()

    - #### writeText

          private void writeText(java.lang.String value)